#include <iostream>
using namespace std;

int main()
{
    int n,j;
    cin>>n;
    cin>>j;
    int arr[n];
    for(int i=0;i<n;i++){
        cin>>arr[i];
    }
    int minn=0,maks=0;
    for(int i=0;i<n;i++){
        if(arr[i]<arr[minn]) minn=i;
        if(arr[i]>arr[maks]) maks=i;
    }
    int levo=j-arr[minn];
    int desno=j-arr[maks];
    if(levo<0) levo*=-1;
    if(desno<0) desno*=-1;
    if(levo<=desno){
        cout<<2*levo+desno<<endl;
    }
    else cout<<2*desno+levo<<endl;
    return 0;
}